ch.qos.logback.core.util

## Class ContentTypeUtil

- java.lang.Object
- - ch.qos.logback.core.util.ContentTypeUtil

    public class ContentTypeUtil
    extends java.lang.Object

Various utility methods for processing strings representing context types.

Author:
  Ceki Gulcu

### Constructor Summary

Constructors
Constructor and Description
`ContentTypeUtil()`

### Method Summary

Methods
`static java.lang.String` `getSubType(java.lang.String contextType)`
`static boolean` `isTextual(java.lang.String contextType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentTypeUtil

    public ContentTypeUtil()

### Method Detail

#### isTextual

    public static boolean isTextual(java.lang.String contextType)

#### getSubType

    public static java.lang.String getSubType(java.lang.String contextType)